function Custompage() {

    this.init();

    this.cfg = {
        hasSizeBtn: false,
        hasRefreshBtn: false,
        hasSettingsBtn: false,
        hasDrag: false,
        hasProfile: false,
        title: loc.text("custompage_title"),
        module: "Custompage",
        uniqueId: SYS_WIDGETS_ID + 8
    }


    this.onBuildInterface = function() {
        this.setTitle(loc.text("custompage_title"));
        this.elements["content"].style.height = "300px";
        this.elements["content"].style.overflow = "auto";
    }


    this.close = function() {
        desktop.closeCurrentPage();
    }


    this.setData = function(title, content) {
        this.setTitle(title);
        this.elements["content"].innerHTML = content.parseUrl();
    }


}
Custompage.prototype = new Widget();